Loading...
Searching...
No Matches
Dune::FlattenTuple< Tuple > Struct Template Reference
Common » Utilities » Tuple Utilities

Flatten a std::tuple of std::tuple's. More...

`#include <dune/common/tupleutility.hh>`

## Public Types

typedef ReduceTuple< JoinTuples, Tuple >::type | type
| Result of the flatten operation.

## Detailed Description

template<class Tuple>
struct Dune::FlattenTuple< Tuple >

Flatten a std::tuple of std::tuple's.

This flattens a std::tuple of tuples std::tuple<std::tuple<T0,...,TN>, std::tuple<S0,...,SM> > and exports std::tuple<T0,..,TN,S0,...,SM>.

Template Parameters

  TupleTuple | A std::tuple of std::tuple's

The documentation for this struct was generated from the following file:

- tupleutility.hh